Overview

Retrieve current user

Get current user

Using this endpoint, you can retrieve your own user. Authorize the request with a personal access token (PAT).

GET/v2/user
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input0
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
Output4
emailstring
User's email address
idstring
Unique identifier for the user
namestring
User's full name
roleobject
Detailed information about a user's role
Responses
200User
Example input
curl 'https://api.axiom.co/v2/user' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "email": "john.doe@example.com",
  "id": "usr_123456789",
  "name": "John Doe",
  "role": {
    "id": "role_123456789",
    "name": "Organization Admin"
  }
}

Updated

Was this page helpful?